﻿using System;
using System.Net.Mail;
using System.Data.SqlClient;
using System.Data;
using System.IO;

/// <summary>
/// Summary description for AMSMail
/// </summary>
public class SendMail
{
    //--------------------------------------------------------------------------------------------------------------------
    private SqlConnection con = new SqlConnection();
    private string Host;
    private string UserName;
    private string Password;
    private int PortNO;
    private bool SSL;
    private SmtpClient smtp;
    //--------------------------------------------------------------------------------------------------------------------
    public SendMail()
    {
        smtp = new SmtpClient();
        Host = "smtp.gmail.com";
        UserName = "";//ایمیل جیمیل
        Password = "";//پسورد ایمیل خودتان
        PortNO = 587;
        SSL = true;
        smtp.DeliveryMethod = SmtpDeliveryMethod.Network;
        smtp.Host = Host;
        smtp.Credentials = new System.Net.NetworkCredential(UserName, Password);
        smtp.Port = PortNO;
        smtp.EnableSsl = SSL;
        UserName.GetHashCode();
    }
    //--------------------------------------------------------------------------------------------------------------------
    public void SendE_Mail(string To, string From, string Subject, string Body)
    {
        MailMessage mail = new MailMessage();
        mail.To.Add(To);
        mail.From = new MailAddress(UserName, From);
        mail.Subject = Subject;
        mail.Body = Body.Replace("\r\n", "<br/>");
        mail.IsBodyHtml = true;
        mail.DeliveryNotificationOptions = DeliveryNotificationOptions.OnSuccess;
        smtp.Send(mail);
    }
    //--------------------------------------------------------------------------------------------------------------------
    //public void Sendmail(string To, string From, string Subject, string Body)
    //{
    //    MailMessage mail = new MailMessage();
    //    mail.To.Add(To);
    //    mail.From = new MailAddress(From);
    //    mail.Subject = Subject;
    //    mail.Body = Body.Replace("\r\n", "<br/>");
    //    mail.IsBodyHtml = true;
    //    mail.DeliveryNotificationOptions = DeliveryNotificationOptions.OnSuccess;
    //    smtp.Send(mail);
    //}
    //--------------------------------------------------------------------------------------------------------------------
    public string GetMailTemplate(string FileAddress)
    {
        try
        {
            string filename = Environment.GetFolderPath(Environment.SpecialFolder.System) + "/ipcms.twt";

            var fileContents = File.ReadAllText(FileAddress);
            return fileContents;
        }
        catch
        {
            return "";
        }
        //--------------------------------------------------------------------------------------------------------------------
    }
}