﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public partial class MasterPage : System.Web.UI.MasterPage
{
    SqlConnection con = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True");
    SqlCommand cmd = new SqlCommand();
    //********************************************************
    protected void Page_Load(object sender, EventArgs e)
    {
        lblName.Text = CurrentUserFullName();
        SetAvatar();
        con.Close();
    }
    //********************************************************
    string CurrentUserFullName()
    {
        cmd.Connection = con;
        cmd.CommandText = "select name from [users] where id = @id";
        cmd.Parameters.AddWithValue("@id", Convert.ToInt32(Request.Cookies["id"].Value));
        con.Open();
        return cmd.ExecuteScalar().ToString();
    }
    //********************************************************
    void SetAvatar()
    {
        cmd.Connection = con;
        cmd.CommandText = "select count(*) from [profile] where id = @id and avatar like '%.%'";

        if (cmd.ExecuteScalar().ToString() == "1")
        {
            string avatar = "~/users/" + getEmail();
            cmd.CommandText = "select avatar from [profile] where id = @id";
            avatar += "/avatar/" + cmd.ExecuteScalar().ToString();

            imgAvatar.ImageUrl = avatar;
        }
        else
        {
            imgAvatar.ImageUrl = "~/img/avatar.png";
        }
    }
    //********************************************************
    string getEmail()
    {
        cmd.Connection = con;
        cmd.CommandText = "select email from [users] where id = @id";
        return cmd.ExecuteScalar().ToString();
    }
    //********************************************************
    protected void imgLogo_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/home.aspx");
    }
    //********************************************************
    protected void btnSearch_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("~/Search.aspx?s=" + txtSearch.Text);
    }
    protected void Unnamed6_ItemCommand(object source, RepeaterCommandEventArgs e)
    {

    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/ChatRoom.aspx");
    }
}
