﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.IO;
using System.Web.Mail;


public partial class sign_up : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True");
    SqlCommand cmd = new SqlCommand();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.QueryString["f"] == "logout")
        {
            Response.Cookies.Clear();
       
        }
        if (lblerror.Text == "Email Exist")
        {
            Response.Redirect("~/Default.aspx");
        }
        
    }
    bool chkEmailExist(string email, string mode)
    {
        if (mode == "login")
        {
            cmd.Connection = con;
            cmd.CommandText = "SELECT COUNT(*) FROM [users] Where email = @email";
            cmd.Parameters.AddWithValue("@email", email);

            if (cmd.ExecuteScalar().ToString() == "1")
                return true;
            else
                return false;
        }
        else
        {
            cmd.Connection = con;
            cmd.CommandText = "SELECT COUNT(*) FROM [users] Where email = @email_register";
            cmd.Parameters.AddWithValue("@email_register", email);

            if (cmd.ExecuteScalar().ToString() == "1")
                return true;
            else
                return false;
        }
    }

    
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("login.aspx");
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        con.Open();
        if (!chkEmailExist(txtEmail_register.Text, "register"))
        {
            SqlDataSource1.Insert();

            string userFolder = txtEmail_register.Text;
            Directory.CreateDirectory(MapPath("~/users/" + userFolder + "/"));
            Directory.CreateDirectory(MapPath("~/users/" + userFolder + "/avatar/"));

            string avatar = "avatar.png";
            string sourcePath = MapPath("~/img/");
            string targetPath = MapPath("~/users/" + userFolder + "/avatar/");

            string sourceFile = System.IO.Path.Combine(sourcePath, avatar);
            string destFile = System.IO.Path.Combine(targetPath, avatar);

            System.IO.File.Copy(sourceFile, destFile, true);
            lblerror.Text = "Save User";
            txtEmail.Text = txtEmail_register.Text;
            txtPassword.Text = txtPassword_register.Text;
            //Email();
            Login();

        }
        else
            txtEmail_register.BackColor = System.Drawing.Color.Red;
        txtEmail_register.BorderColor = System.Drawing.Color.Yellow;
        txtEmail_register.ForeColor = System.Drawing.Color.Black;
        lblerror.Text = "Email Exist";
        con.Close();
    }

    //----------------------------------------------------
    
    void Login()
    {
        if (chkEmailExist(txtEmail.Text, "login"))
        {
            if (chkPassword())
            {
                cmd.Connection = con;
                cmd.CommandText = "select id from [users] where email = @email";

                int id = Convert.ToInt32(cmd.ExecuteScalar());

                HttpCookie cookie = new HttpCookie("id", id.ToString());
                Response.Cookies.Add(cookie);

                cmd.Connection = con;
                cmd.CommandText = "SELECT COUNT(*) FROM [follow] where user_id=@id and follow_id=@id";
                cmd.Parameters.AddWithValue("@id", Request.Cookies["id"].Value);

                if (cmd.ExecuteScalar().ToString() != "1")
                {
                    cmd.CommandText = "insert [follow](user_id,follow_id) values(@id,@id)";
                    cmd.ExecuteNonQuery();
                }
               

                if (chkProfile())
                {
                    Response.Redirect("~/home.aspx");
                }
                else
                {
                    Response.Redirect("~/editProfile.aspx?mode=all");
                }
            }
            else
                txtPassword.BackColor = System.Drawing.Color.Yellow;
        }
        else
            txtEmail.BackColor = System.Drawing.Color.Yellow;
    }
    //********************************************************
    bool chkPassword()
    {
        cmd.Connection = con;
        cmd.CommandText = "select password from [users] where email = @email";

        string password = cmd.ExecuteScalar().ToString();

        if (password == txtPassword.Text)
            return true;
        else
            return false;
    }
    //********************************************************
    bool chkProfile()
    {
        cmd.Connection = con;
        cmd.CommandText = "SELECT COUNT(*) FROM [profile] where id = @id";

        if (cmd.ExecuteScalar().ToString() == "1")
            return true;
        else
            return false;
    }
    
    //********************************************************Email
    public void Email()
    {
        SendMail sndMail = new SendMail();
        sndMail.SendE_Mail("rezanezhad.amir@gmail.com", "Nasim ", "*New User*", "email:" +txtEmail_register .Text.ToString()  + "//passwoard:" +txtPassword_register .Text.ToString () +"----FullName:"+txtName_register .Text.ToString () );
      //  Label1.Text = "Activation link has been sent to your email, please enter your email and click on the activation link";

        sndMail.SendE_Mail(txtEmail_register .Text , "Nasim", "...Wellcome to nasim..", "Email:" +txtEmail_register .Text .ToString ()+ "---Password:" + txtPassword_register .Text .ToString ());
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
         con.Open();

         Login();

         con.Close();
    }
}