﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Friends.aspx.cs" Inherits="Friends" %>

<asp:Content ID="Content1" ContentPlaceHolderID="title" Runat="Server">
    <asp:Literal runat="server" Text="Friends List" />
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="style" Runat="Server">
    <style type="text/css">
        a
        {
            text-decoration:none;
            color: Black;
        }
    </style>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="right" Runat="Server">
    <div style="margin:5px;padding:5px;width:488px;overflow:hidden">
        <asp:ListView runat="server" DataSourceID="srcFriends" GroupItemCount="4" 
            onselectedindexchanged="Unnamed1_SelectedIndexChanged">
            <LayoutTemplate>
                <table style="text-align:center;width:400px">
                    <tr runat="server" id="groupPlaceholder" />
                </table>
            </LayoutTemplate>
            <ItemTemplate>
                <td style="text-align:center">
                    <a href='profile.aspx?profileID=<%# Eval("id") %>'>
                        <div style="width:90px;float:right; max-height:90px;overflow:hidden; border-radius: 5px;margin:3px; -moz-border-radius: 5px; -webkit-border-radius: 5px;">
                         <asp:Image ID="Image1" runat="server" Width="90px" ImageUrl='<%# "~/users/" + Eval("email") + "/avatar/" + Eval("avatar") %>' />
                        </div>
                        <br />
                        <div style="font-family: Tahoma; font-size: 12px; font-weight:normal">
                            <%# Eval("name") %>
                        </div>
                    </a>
                </td>
            </ItemTemplate>
            <GroupTemplate>
                <tr>
                    <td runat="server" id="itemPlaceholder" />
                </tr>
            </GroupTemplate>
            <GroupSeparatorTemplate>
                <tr>
                    <td colspan="3">
                        <br />
                    </td>
                </tr>
            </GroupSeparatorTemplate>
            <EmptyDataTemplate>
                <h3>!You do not have any friends</h3>
            </EmptyDataTemplate>
        </asp:ListView>
        

        <asp:SqlDataSource runat="server" ID="srcFriends" ConnectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True"
              SelectCommand="select [profile].id,name,avatar,email from profile,follow,users where follow.user_id=@id and follow_id <> @id and profile.id=follow.follow_id and users.id=profile.id">
                    <SelectParameters>
                        <asp:CookieParameter Name="id" CookieName="id" />
                    </SelectParameters>
        </asp:SqlDataSource>
    </div>
</asp:Content>

