﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="home.aspx.cs" Inherits="Default2" %>

<asp:Content ContentPlaceHolderID="title" runat="server">
    <asp:Literal runat="server" ID="ltlTitile" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="style">
    <style type="text/css">
        .tabs
        {
            position: relative;
            top: 2px;
            margin-right: 5px;
        }
        .tabs a.static
        {
            background-color: transparent;
            padding: 5px 10px !important;
            margin-left: 5px;
            color: #778899;
            text-decoration: none;
            font-size: 16px;
        }
        .tabs a.static.selected
        {
            
            border: solid 1px #ddd !important;
            border-top-left-radius: 10px;
            -moz-border-top-left-radius: 10px;
            -webkit-border-top-left-radius: 10px;
            border-top-right-radius: 3px;
            -moz-border-top-right-radius: 3px;
            -webkit-border-top-right-radius: 3px;
            border-bottom: none !important;
            background-color: White !important;
            color: #646464 !important;
        }
        .content
        {
            background-color: White;
            border: 1px solid #ddd;
            padding: 10px;
            width: 490px;
        }
        .say_new
        {
            padding: 10px 15px;
            background-color : #E6E6FA;
            color: #646464;
            border-top-right-radius: 5px;
            -moz-border-top-right-radius: 5px;
            -webkit-border-top-right-radius: 5px;
            border-bottom-right-radius: 5px;
            -moz-border-bottom-right-radius: 5px;
            -webkit-border-bottom-right-radius: 5px;
        }
    </style>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="right">
    <div style="float: right;width: 100%;overflow: hidden;">
        <div class="say_new" >
          ? What's up
            <br />
            <asp:TextBox runat="server" ID="txtPost" TextMode="MultiLine" Columns="79" 
                Rows="1" CssClass="txtInput" 
                style="min-height:30px; max-width: 465px; margin-bottom: 5px" Height="91px"  />
        
            <asp:Button runat="server" Text="Send" OnClick="btnSend_Click" CssClass="btn" 
                style="padding: 2px 15px; float:left; font-family: Tahoma;" />
            
        </div>
        
        <div class="tab" 
            style="top: 2px; right: 0px; width: 122px; font-family: Tahoma">
                Statements
        </div>

        <div class="content">
                <asp:ScriptManager ID="ScriptManager1" runat="server">
                </asp:ScriptManager>
                <asp:Repeater ID="Repeater1" runat="server" DataSourceID="srcTwitts" 
                    onitemcommand="Repeater1_ItemCommand">
                    <ItemTemplate>
                    
                    
                        <div class="post">
                            <asp:HyperLink runat="server" NavigateUrl='<%# "~/Profile.aspx?profileID="+Eval("id") %>'>
                                <div style="width:50px;float:right; max-height:70px;overflow:hidden; border-radius: 5px;margin:3px; -moz-border-radius: 5px; -webkit-border-radius: 5px;">
                                    <asp:Image ID="imgReply" runat="server" Width="50px" ImageUrl='<%# "~/users/" + Eval("email") + "/avatar/" + Eval("avatar") %>' CssClass ="txt1 " />
                                </div>
                            </asp:HyperLink>
                            <div class="qout">
                                <asp:HyperLink runat="server" NavigateUrl='<%# "~/Profile.aspx?profileID="+Eval("id") %>'><%# Eval("name") %></asp:HyperLink>  
                            </div>
                            <div style="float:right;width:415px;overflow:hidden;padding-right:5px;margin-top:3px">
                                <%#Eval("text") %>
                            </div>
                            <br style="clear:both"/>
                            <div class="post_footer">
                                <div id="date">
                                   Posted on date: <%#Eval("date") %>&nbsp; 
                                </div>
                                <div id="time">
                                    Time<%#Eval("time") %></div>
                                <div class="btn_reply">
                                    <asp:Image ID="Image1" runat="server" ImageUrl="~/img/reply2.png" />
                                      
                                </div>
                                <div class ="qout ">
                                <asp:Image ID="Image2" runat="server" ImageUrl="~/img/like.png" />
                                
                                </div>
                               
                                
                                <br style="clear: both"/>
                            </div>
                            <div class="reply">
                                <asp:TextBox runat="server" ID="txtReply" TextMode="MultiLine" CssClass="txtInput" style="float:right; max-width:300px; min-width:300px;border:none" />
                                <asp:Button ID="Button1" runat="server" OnCommand="btnReply_Click" CommandName='<%# Eval("name") %>' CssClass="btn" style="float: right; margin-right: 5px;" Text="Send" />
                                <br style="clear: both"/>
                            </div>
                        </div>
                        
                        <hr />
                    </ItemTemplate>
                </asp:Repeater>

                </asp:SqlDataSource>

                <asp:SqlDataSource runat="server" ID="srcTwitts" ConnectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True"
                    SelectCommand="select [profile].id,name,text,avatar,date,time,email from twitt,profile,follow,users where follow.user_id=@id and twitt.user_id=follow.follow_id and profile.id=twitt.user_id and users.id=profile.id order by twitt.id desc" />
            
            </div>

    </div>
    <br style="clear:both"/>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="script">
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var tab_pos = $(".tab").position();
            var tab_pos_left = tab_pos.left;
            var tab_pos_top = tab_pos.top;
            $(".follow").css("top", tab_pos_top + 1);
            $(".follow").css("left", tab_pos_left - 90);

            $(".btn_reply").click(function () {
                $(this).parent().next().slideDown();
            });
            $(".post").mouseleave(function () {
                $(this).children().next('div.reply').slideUp();
            });
        });
    </script>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
    <link href="css/Style.css" rel="stylesheet" type="text/css" />
</asp:Content>