﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Globalization;

public partial class Default2 : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True");
    SqlCommand cmd = new SqlCommand();
    Khorshidi khorshidi = new Khorshidi();
   
    protected void Page_Load(object sender, EventArgs e)
    {
        //check user is logged in
        chkCookie();

        con.Open();
        ChangeTitle();

        if(!Page.IsPostBack)
            srcTwitts.SelectParameters.Add("id", Request.Cookies["id"].Value);
        cmd.Parameters.AddWithValue("@date", khorshidi.Now);
        cmd.Parameters.AddWithValue("@time", DateTime.Now.Hour.ToString());
    }
    //********************************************************
    void ChangeTitle()
    {
        cmd.Connection = con;
        cmd.CommandText = "select name from [users] where id = @id";
        cmd.Parameters.AddWithValue("@id", Convert.ToInt32(Request.Cookies["id"].Value));
        ltlTitile.Text = cmd.ExecuteScalar().ToString();
        ltlTitile.Text += "Page";
    }
    //********************************************************
    string getEmail()
    {
        cmd.Connection = con;
        cmd.CommandText = "select email from [users] where id = @id";
        return cmd.ExecuteScalar().ToString();
    }
    //********************************************************
    protected void btnSend_Click(object sender, EventArgs e)
    {
        if (txtPost.Text != "")
        {
            cmd.CommandText = "insert [twitt](text, user_id,date,time) values(@text, @id,@date,@time)";
            cmd.Connection = con;

            cmd.Parameters.AddWithValue("@text", txtPost.Text);
            cmd.ExecuteNonQuery();
            txtPost.Text = "";
            Response.Redirect("~/home.aspx");
        }
    }
    //********************************************************
    protected void btnReply_Click(object sender, CommandEventArgs e)
    {
        string name = "<b>"+"Answer of " + e.CommandName.ToString()+ " : "+"</b>";
        cmd.Connection = con;
        cmd.CommandText = "insert [twitt](text,user_id,date,time) values(@reply_text,@id,@date,@time)";

        string reply_text = name;

        foreach (RepeaterItem item in Repeater1.Items)
        {
            TextBox txtReply = (TextBox)item.FindControl("txtReply");
            if (txtReply != null)
            {
                reply_text += txtReply.Text;
            }
        }

        cmd.Parameters.AddWithValue("@reply_text", reply_text);

        cmd.ExecuteNonQuery();

        foreach (RepeaterItem item in Repeater1.Items)
        {
            TextBox txtReply = (TextBox)item.FindControl("txtReply");
            if (txtReply != null)
            {
                txtReply.Text = "";
            }
        }

        Response.Redirect("~/home.aspx");
    }

    //********************************************************
    string CurrentUserFullName()
    {
        cmd.Connection = con;
        cmd.CommandText = "select name from [users] where id = @id";
        cmd.Parameters.AddWithValue("@id", Convert.ToInt32(Request.Cookies["id"].Value));
        con.Open();
        return cmd.ExecuteScalar().ToString();
    }

    //********************************************************
    void chkCookie()
    {
        try
        {
            if (Request.Cookies["id"].Value == null)
                Response.Redirect("~/Default.aspx");
        }
        catch
        {
            Response.Redirect("~/Default.aspx");
        }
    }
    protected void Repeater1_ItemCommand(object source, RepeaterCommandEventArgs e)
    {
        SqlConnection con = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True");
        int ID = Convert.ToInt32(e.CommandArgument.ToString());
        switch (e.CommandName)
        {
            case "Like":
                {
                    string query = "Update News Set Likes+=1 Where NewsID=" + ID;
                    SqlCommand com = new SqlCommand(query, con);
                    con.Open();
                    com.ExecuteNonQuery();
                    con.Close();
                    break;
                }
            case "DisLike":
                {
                    string query = "Update News Set DisLikes+=1 Where NewsID=" + ID;
                    SqlCommand com = new SqlCommand(query, con);
                    con.Open();
                    com.ExecuteNonQuery();
                    con.Close();
                    break;
                }
        }
        Repeater1.DataBind();
    }
}